dnl
dnl $ Id: $
dnl
 
PHP_ARG_WITH(mdbtools, whether to enable mdbtools functions,
[  --with-mdbtools[=DIR]      With mdbtools support])


if test "$PHP_MDBTOOLS" != "no"; then
  AC_PATH_PROG(PKG_CONFIG, pkg-config, no)

  if test $PKG_CONFIG = "no"; then
	   AC_MSG_ERROR("pkg-config not found")
  fi

  if ! $PKG_CONFIG glib-2.0; then
	   AC_MSG_ERROR("glib-2.0 not found by pkg-config")
  fi

  GLIB_INCS=`$PKG_CONFIG --cflags-only-I glib-2.0`
  PHP_EVAL_INCLINE($GLIB_INCS)
  CPPFLAGS="$CFLAGS $GLIB_INCS"
  CFLAGS="$CFLAGS $GLIB_INCS"

  GLIB_LIBS=`$PKG_CONFIG --libs glib-2.0`' -lm'
  PHP_EVAL_LIBLINE($GLIB_LIBS)
  LDFLAGS="$CFLAGS $GLIB_LIBS"


  if test -r "$PHP_MDBTOOLS/include/mdbtools.h"; then
	PHP_MDBTOOLS_DIR="$PHP_MDBTOOLS"
  else
	AC_MSG_CHECKING(for mdbtools in default path)
	for i in /usr /usr/local; do
	  if test -r "$i/include/mdbtools.h"; then
		PHP_MDBTOOLS_DIR=$i
		AC_MSG_RESULT(found in $i)
		break
	  fi
	done
	if test "x" = "x$PHP_MDBTOOLS_DIR"; then
	  AC_MSG_ERROR(not found)
	fi
  fi

  export OLD_CPPFLAGS="$CPPFLAGS"
  export CPPFLAGS="$CPPFLAGS $INCLUDES -DHAVE_MDBTOOLS"
  export CPPFLAGS="$OLD_CPPFLAGS"
  PHP_ADD_INCLUDE($PHP_MDBTOOLS_DIR/include)
  export OLD_CPPFLAGS="$CPPFLAGS"
  export CPPFLAGS="$CPPFLAGS $INCLUDES -DHAVE_MDBTOOLS"
  AC_CHECK_HEADER([$PHP_MDBTOOLS_DIR/include/mdbtools.h], [], AC_MSG_ERROR('mdbtools.h' header not found))
  AC_CHECK_TYPE(MdbHandle *, [], [AC_MSG_ERROR(required payload type for resource MdbDatabase not found)], [#include "$srcdir/php_mdbtools.h"])
  AC_CHECK_TYPE(my_MdbTableDef *, [], [AC_MSG_ERROR(required payload type for resource MdbTable not found)], [#include "$srcdir/php_mdbtools.h"])
  export CPPFLAGS="$OLD_CPPFLAGS"
  PHP_SUBST(MDBTOOLS_SHARED_LIBADD)


  PHP_CHECK_LIBRARY(mdb, mdb_init,
  [
	PHP_ADD_LIBRARY_WITH_PATH(mdb, $PHP_MDBTOOLS_DIR/lib, MDBTOOLS_SHARED_LIBADD)
  ],[
	AC_MSG_ERROR([wrong mdb lib version or lib not found])
  ],[
	-L$PHP_MDBTOOLS_DIR/lib
  ])


  PHP_SUBST(MDBTOOLS_SHARED_LIBADD)
  AC_DEFINE(HAVE_MDBTOOLS, 1, [ ])
  PHP_NEW_EXTENSION(mdbtools, mdbtools.c , $ext_shared)

fi

